mbrApp.loadComponents(
	"comSlider",
	{"comslider-block":{
			_group:"comSlider",
			_onParamsShow: function(e,$params,$block) {
				// If we don't encode the textareas, it'll mess up the HTMLCode textarea in the gear box
				// And we have to do this again in the _onParamsChange block as well
				// The encoded textareas are automatically decoded, so the result is as it should be :)
				//this._params.HTMLCode = this.HTMLCode.replace(/<\/textarea/gim, "&lt;/textarea")
			},
			_params:{
				HTMLCode:{type:"textarea",title:"comSlider Snippet Code:",default:""},
				hideOnPublish:{type:"switch",title:"Hide Block on Publish",default:!1},
				paddingTop:{type:"range",title:"Top Padding",min:0,max:8,step:1,default:0,halfWidth:true},	
				paddingBottom:{type:"range",title:"Bottom Padding",min:0,max:8,step:1,default:0,halfWidth:true},
				bgImageRadio:{type:"radio",title:"Background Image",name:"bgType",default:!1},
				bgImage:{type:"image",title:"",default:"images/bg3.jpg",condition:["bgImageRadio"]},
				parallax:{type:"switch",title:"Parallax",default:!0,condition:["bgImageRadio"]},
				bgColorRadio:{type:"radio",title:"Background Color",name:"bgType",default:!0},
				bgColor:{type:"color",title:"Color",default:"#fff",condition:["bgColorRadio"]},
				overlay:{type:"switch",title:"Overlay",default:!1,condition:["!bgColorRadio"]},
				overlayColor:{type:"color",title:"Color",default:"#222",condition:["overlay","!bgColorRadio"]},
				overlayOpacity:{type:"range",title:"Opacity",min:0,max:1,step:.1,default:.5,condition:["overlay","!bgColorRadio"]}
			},
			HTMLCode:'<div style="padding:15px;">comSlider slideshow goes here. Please use the gear-icon to enter comSlider Snippet Code.</div>',
			_onParamsChange:function($item, param, val){
				if (param == "HTMLCode") {
					var pos=""
					if (val.indexOf('comslider_in_point') == -1){
						this.HTMLCode = '<div style="padding:15px;">comSlider slideshow goes here. Please use the gear-icon to enter comSlider Snippet Code.</div>';
					} else {
						this.HTMLCode = val;
					}					
				}

				if (param == 'paddingTop') {
					$item.find('.comslider-container').css('padding-top', val + 'rem');
				}

				if (param == 'paddingBottom') {
					$item.find('.comslider-container').css('padding-bottom', val + 'rem');
				}

				if (typeof paramName === 'undefined') {
					$item.find('.comslider-container').css({'padding-top': this._params.paddingTop + 'rem','padding-bottom': this._params.paddingBottom + 'rem'});
				}
			},
			_publishFilter: function($obj) {
				if (this._params.hideOnPublish)
					$obj.find('.comslider-container').css({'padding-top': '0rem','padding-bottom': '0rem'});
				else
					$obj.find('.comslider-container').css({'padding-top': this._params.paddingTop + 'rem','padding-bottom': this._params.paddingBottom + 'rem'});
			}
		}
	}
);
